Skip Navigation Links
Exit Print View
| Oracle Solaris Cluster Reference Manual Oracle Solaris Cluster 4.1

Search Scope:

- This Document
- Entire Library

### SUNW.vucmm_svm

### , vucmm_svm

- resource type implementation that represents the Solaris Volume Manager for Sun Cluster component of the volume manager reconfiguration framework

## Description

The `SUNW.vucmm_svm` resource type represents the Solaris Volume Manager for Sun Cluster component of the Oracle Solaris Cluster volume manager reconfiguration framework.

Instances of the `SUNW.vucmm_svm` resource type hold Solaris Volume Manager for Sun Cluster component configuration parameters. Instances of this type also show the status of a reconfiguration of the Solaris Volume Manager for Sun Cluster component.

The `SUNW.vucmm_svm` resource type is a single-instance resource type. Only one resource of this type may be created in the cluster.

To register this resource type and create instances of this resource type, use the following means:

- To register this resource type, use the `clresourcetype`(1CL) command.

- To create instances of this resource type, use the `clresource`(1CL) command.

The `SUNW.vucmm_svm` resource type is only valid in a resource group that uses the `SUNW.vucmm_framework` resource type. Do not use this resource type in a `SUNW.rac_framework` resource group.

When a resource of this type is brought offline on a node, the transition from the online state to the offline state requires a finite time to complete. During the transition to the offline state, the resource continues to participate in reconfiguration processes. However, when the resource is offline on a node, changes to resource properties are not effective on the node until the resource is brought back online. Oracle Solaris Cluster software displays a warning message to this effect when a resource of this type is disabled.

The transition to the unmanaged state of a resource group that contains a resource of this type requires a finite time to complete. During the transition to the unmanaged state, the volume manager reconfiguration framework continues to participate in framework reconfiguration processes. However, when the resource group is unmanaged, changes to resource properties are not effective on the node. To stop the volume manager reconfiguration framework, you must reboot the node.

The extension properties of the `SUNW.vucmm_svm` resource type are as follows.

`debug_level`

  Type integer; minimum 0; maximum 10; defaults to 1. This property specifies the debug level for the Solaris Volume Manager for Sun Cluster module of the volume manager reconfiguration framework. When the debug level is increased, more messages are written to the log files during reconfiguration. You can modify this property at any time.

`svm_abort_step_timeout`

  Type integer; minimum 30; maximum 99999; defaults to 120. This property specifies the timeout (in seconds) for the abort step of a reconfiguration of the Solaris Volume Manager for Sun Cluster module of the volume manager reconfiguration framework. You can modify this property at any time.

`svm_return_step_timeout`

  Type integer; minimum 30; maximum 99999; defaults to 120. This property specifies the timeout (in seconds) for the return step of a reconfiguration of the Solaris Volume Manager for Sun Cluster module of the volume manager reconfiguration framework. You can modify this property at any time.

`svm_start_step_timeout`

  Type integer; minimum 30; maximum 99999; defaults to 120. This property specifies the timeout (in seconds) for the start step of a reconfiguration of the Solaris Volume Manager for Sun Cluster module of the volume manager reconfiguration framework. You can modify this property at any time.

`svm_step1_timeout`

  Type integer; minimum 30; maximum 99999; defaults to 120. This property specifies the timeout (in seconds) for step 1 of a reconfiguration of the Solaris Volume Manager for Sun Cluster module of the volume manager reconfiguration framework. You can modify this property at any time.

`svm_step2_timeout`

  Type integer; minimum 30; maximum 99999; defaults to 120. This property specifies the timeout (in seconds) for step 2 of a reconfiguration of the Solaris Volume Manager for Sun Cluster module of the volume manager reconfiguration framework. You can modify this property at any time.

`svm_step3_timeout`

  Type integer; minimum 30; maximum 99999; defaults to 120. This property specifies the timeout (in seconds) for step 3 of a reconfiguration of the Solaris Volume Manager for Sun Cluster module of the volume manager reconfiguration framework. You can modify this property at any time.

`svm_step4_timeout`

  Type integer; minimum 100; maximum 99999; defaults to 120. This property specifies the timeout (in seconds) for step 4 of a reconfiguration of the Solaris Volume Manager for Sun Cluster module of the volume manager reconfiguration framework. You can modify this property at any time.

`svm_stop_step_timeout`

  Type integer; minimum 30; maximum 99999; defaults to 120. This property specifies the timeout (in seconds) for the stop step of a reconfiguration of the Solaris Volume Manager for Sun Cluster module of the volume manager reconfiguration framework. You can modify this property at any time.

## Examples

Example 1 Creating a `vucmm_svm` Resource

This example registers the `SUNW.vucmm_svm` resource type and creates an instance of the `SUNW.vucmm_svm` resource type that is named `vucmm_svm-rs`. The example assumes that the following Oracle Solaris Cluster objects have been created:

- A resource group that is named `vucmm_framework-rg`

- A resource of type `SUNW.vucmm_framework` that is named `vucmm_framework-rs`

    phys-schost-1# clresourcetype register SUNW.vucmm_svm
    phys-schost-1# clresource create -g vucmm_framework-rg \
    -t SUNW.vucmm_svm \
    -p resource_dependencies=vucmm_framework-rs vucmm_svm-rs

Example 2 Changing a Property of a `vucmm_svm` Resource

This example sets the timeout for step 4 of a reconfiguration of the Solaris Volume Manager for Sun Cluster component of the volume manager reconfiguration framework to 300 seconds. The example assumes that an instance of the `SUNW.vucmm_svm` resource type named `vucmm_svm-rs` has been created.

    phys-schost-1# clresource set \
    -p svm_step4_timeout=300 vucmm_svm-rs

## Attributes

See `attributes`(5) for descriptions of the following attributes:

ATTRIBUTE TYPE | ATTRIBUTE VALUE
--- | ---
Availability | ha-cluster/system/core

## See Also

`clresource`(1CL), `clresourcetype`(1CL), `clsetup`(1CL), `SUNW.vucmm_framework`(5), `attributes`(5)

Copyright © 2000, 2012, Oracle and/or its affiliates. All rights reserved. Legal Notices |